Bug 1129574 - fipvlan: fip_recv: error 88 Socket operation on non-socket
Summary: fipvlan: fip_recv: error 88 Socket operation on non-socket
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: fcoe-utils
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 7.1
Assignee: Chris Leech
QA Contact: guazhang@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 08:51 UTC by Xiaowei Li
Modified: 2019-08-01 17:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
The installation log of program.log (192.10 KB, text/plain)
2015-02-05 09:37 UTC, xhe@redhat.com
no flags Details

Description Xiaowei Li 2014-08-13 08:51:32 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. setup Intel FCoE SAN boot node
2. in anaconda, add FCoE disk
3. select the ethernet NIC and check DCB 

Actual results:
08:42:11,608 INFO blivet: Activating FCoE SAN attached to p1p1, dcb: True autovlan: True
08:42:25,090 DEBUG blivet: Activating FCoE SAN failed: 19 fipvlan: fip_recv: error 88 Socket operation on non-socket
fipvlan: fip_recv: packet socket recv error
fipvlan: fip_recv: error 88 Socket operation on non-socket
fipvlan: fip_recv: packet socket recv error
fipvlan: fip_recv: error 88 Socket operation on non-socket
fipvlan: fip_recv: packet socket recv error
fipvlan: fip_recv: error 88 Socket operation on non-socket
fipvlan: fip_recv: packet socket recv error
fipvlan: fip_recv: error 88 Socket operation on non-socket
fipvlan: fip_recv: packet socket recv error
No Fibre Channel Forwarders or VN2VN Responders Found

Expected results:


Additional info:

Comment 1 Xiaowei Li 2014-08-13 08:52:48 UTC
in RHEL 7.0 the similar issue was fixed in bz1049018. so mark it as regression issue.

Comment 4 Chris Leech 2014-11-18 07:30:12 UTC
fcoe-utils-1.0.29-7.el7 merged an upstream patch that added additional checks around the FIP socket creation.  If for some reason the socket creation fails, it should not continue with these ENOTSOCK errors.

Please retest this with fcoe-utils-1.0.29-7.el7

This is not a regression from 7.0, but rather an addition upstream patch for a more complete fix than was merged for bz1049018

Comment 8 xhe@redhat.com 2015-02-04 03:53:56 UTC
On RHEL-7.1, I could't test with the steps in #c0 due to NEW bug 1183917, it blocks me to add FCoE LUNs with anaconda. 

In additon, the #c0 doesn't describe clear when do I check the result? After step3? In that time, the system has not installed the package of fcoe-utils yet, do you know the additional descriptions about where to check after step3?

Thanks,
Nancy

Comment 9 Chris Leech 2015-02-05 00:14:11 UTC
(In reply to xhe@redhat.com from comment #8)
> On RHEL-7.1, I could't test with the steps in #c0 due to NEW bug 1183917, it
> blocks me to add FCoE LUNs with anaconda. 
> 
> In additon, the #c0 doesn't describe clear when do I check the result? After
> step3? In that time, the system has not installed the package of fcoe-utils
> yet, do you know the additional descriptions about where to check after
> step3?

I believe this is all happening in the installer when setting up the destination storage, before package installation begins.

FCoE discovery fails and these error messages would be in the anaconda program.log

Comment 11 xhe@redhat.com 2015-02-05 09:37:19 UTC
Created attachment 988463 [details]
The installation log of program.log

Comment 12 xhe@redhat.com 2015-02-05 09:43:07 UTC
It doesn't occur on fcoe-utils-1.0.29-7.el7, here is my steps:

1. Select the machine with FCoE bnx2fc, provision system:
   Distro Tree       : RHEL-7.1-20141024.1 Server X86_64
   KickStart MetaData: !ignoredisk manual
   Kernel Option     : vnc

2. Use vncviewer to start the installer with anaconda GUI by manual
   
3. Click INSTALLATION DESTINATION->Add a disk->Add FCoE SAN...
   Select NIC from checkbox
   Select 'Use DCB' and 'Use auto VLAN'
   Click 'Add FCoE Disk(s)' button.

4. Press ^b 2 to use console to check /tmp/program.log 
   [anaconda root@hp-dl388g8-16 ~]# uname -a
   Linux hp-dl388g8-16.rhts.eng.nay.redhat.com 3.10.0-193.el7.x86_64
   [anaconda root@hp-dl388g8-16 ~]# fipvlan -v
   fipvlan version 1.0.29
   [anaconda root@hp-dl388g8-16 ~]# cat /tmp/program.log |grep fipvlan
   18:20:50,996 INFO program: Running... fipvlan -c -s -f -fcoe ens3f0

   I attached program.log in #c11

Thanks,
Nancy


Note You need to log in before you can comment on or make changes to this bug.